This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 646740 - 1.1.1 To create bugs, tasks, feature requests, etc. as well as supportpatch and other custom types that affect workflow
1.1.1 To create bugs, tasks, feature requests, etc. as well as supportpatch a...
Status: CLOSED NEXTRELEASE
Product: Bugzilla
Classification: Community
Component: Creating/Changing Bugs (Show other bugs)
3.6
Unspecified Unspecified
low Severity high (vote)
: ---
: ---
Assigned To: Lukáš Petrovický
Len DiMaggio
:
Depends On:
Blocks: JIRABZ 679816
  Show dependency treegraph
 
Reported: 2010-10-26 01:10 EDT by David Lawrence
Modified: 2013-06-23 23:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-20 00:27:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Lawrence 2010-10-26 01:10:36 EDT
Solution: We used a mapping table of JIRA type to Bugzilla keywords. Although this could be done in a new custom field now instead with the move to BZ 3.4 Solution: We will go for custom field/drop down with data validation

- dkl - Bugzilla has a single issue type but attributes such as Keywords can be used to represent other types
- max - So it does not support setting up different workflows dependent on type
- kab - What are the custom workflows per product per type?
And how should/could they be translated to bugzilla?
- What interface does JIRA use to create custom workflows? - What is the percentage breakdown of types? piechart.
- What is the percentage breakdown of customised workflows?
- Are keywords an acceptable alternative?
- dkl - Can you explain more what a sample workflow for specific Type?
What type of actions are done such as assigning to specific user or group of users? sanity checks the data
Comment 2 Simon Green 2011-02-16 09:38:04 EST
The type field will be copied over with the next migration.
Comment 3 Simon Green 2011-02-23 07:07:18 EST
The issue type field now copied over from Jira (starting with today's import).

I talked to ldimaggi and ccrouch this week regarding workflow changes based on issue type. We can discuss this further in today's conference call.

Marking as ONQA pending discussions from the conference call.
Comment 4 Simon Green 2011-02-23 10:04:55 EST
At the conference call, we decided that the workflow for patches will be the same as the workflow for bugs. Therefore there are no additional changes required for this bug.

I will create a new bug shortly so that the 'Type' field appears on the bug creation page.

  -- simon
Comment 5 Len DiMaggio 2011-03-09 13:10:04 EST
Clean-up task from the March 9 2011 Bugzilla / BRMS Pilot Meeting

This bugzilla has been marked as ON_QA - we need to verify that the changes made to https://bz-web2-test.devel.redhat.com/ are acceptable and that this bugzilla can be closed. Please verify the change and close (or re-open) this bugzilla by March 15 2011. Thx!
Comment 6 Lukáš Petrovický 2011-03-10 09:57:11 EST
Verifying by BRMS-535 and BRMS-519.

Note You need to log in before you can comment on or make changes to this bug.